/**
 * Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
 *
 * THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
 * AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
 * UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
 * This notice may not be removed from this file.
 */

package com.compdfkit.flutter.compdfkit_flutter;

import androidx.annotation.NonNull;

import com.compdfkit.flutter.compdfkit_flutter.common.views.cpdfviewctrl.CPDFViewCtrlFactory;
import com.compdfkit.flutter.compdfkit_flutter.plugin.CPDFDocumentPlugin;
import com.compdfkit.flutter.compdfkit_flutter.plugin.ComPDFKitSDKPlugin;

import io.flutter.embedding.engine.plugins.FlutterPlugin;
import io.flutter.embedding.engine.plugins.activity.ActivityAware;
import io.flutter.embedding.engine.plugins.activity.ActivityPluginBinding;
import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.platform.PlatformViewRegistry;


public class CompdfkitFlutterPlugin implements FlutterPlugin, ActivityAware {

    private static final String PDF_VIEWER_VIEW_TYPE_ID = "com.compdfkit.flutter.pdfviewer";

    private PlatformViewRegistry mRegistry;

    private BinaryMessenger mMessenger;

    @Override
    public void onAttachedToEngine(@NonNull FlutterPluginBinding flutterPluginBinding) {
        mRegistry = flutterPluginBinding.getPlatformViewRegistry();
        mMessenger = flutterPluginBinding.getBinaryMessenger();
        new ComPDFKitSDKPlugin(mMessenger, flutterPluginBinding.getApplicationContext());
        new CPDFDocumentPlugin(mMessenger);
    }

    @Override
    public void onDetachedFromEngine(@NonNull FlutterPluginBinding binding) {
    }

    @Override
    public void onAttachedToActivity(@NonNull ActivityPluginBinding binding) {
        if (mRegistry != null) {
            mRegistry.registerViewFactory(PDF_VIEWER_VIEW_TYPE_ID, new CPDFViewCtrlFactory(mMessenger));
        }
    }

    @Override
    public void onDetachedFromActivityForConfigChanges() {

    }

    @Override
    public void onReattachedToActivityForConfigChanges(@NonNull ActivityPluginBinding binding) {

    }

    @Override
    public void onDetachedFromActivity() {

    }
}
