/**
 * Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
 *
 * THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
 * AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
 * UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
 * This notice may not be removed from this file.
 */

package com.compdfkit.flutter.compdfkit_flutter.common.pdfprovider.provider;



import java.util.Map;

public class ParamsUtil {

    public static String getString(Map<String, Object> params, String key){
        try{
            Object value = params.get(key);
            return (String) value;
        }catch (Exception e){
            return null;
        }
    }

    public static boolean getBoolean(Map<String, Object> params, String key, boolean defaultValue){
        try{
            Object value = params.get(key);
            return (boolean) value;
        }catch (Exception e){
            return defaultValue;
        }
    }

    public static boolean getBoolean(Object arguments, boolean defaultValue) {
        try{
            boolean value = (boolean) arguments;
            return value;
        }catch (Exception e){
            return defaultValue;
        }
    }

    public static <E> E getValue(Object arguments){
        try{
            E value = (E) arguments;
            return value;
        }catch (Exception e){
            return null;
        }
    }

    public static int getInt(Map<String, Object> params, String key){
        try{
            Object value = params.get(key);
            return (int) value;
        }catch (Exception e){
            return -1;
        }
    }

}
