/**
 * Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
 * <p>
 * THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
 * AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
 * UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
 * This notice may not be removed from this file.
 */

package com.compdfkit.flutter.compdfkit_flutter.common.pdfprovider.viewer.pdfbookmark;


import com.compdfkit.core.document.CPDFBookmark;
import com.compdfkit.core.document.CPDFDocument;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

import java.util.List;

public class CPDFBookmarkDatas {

    public static String getBookmark(CPDFDocument document) {
        try {
            List<CPDFBookmark> list = document.getBookmarks();
            if (list == null || list.size() == 0) {
                return "";
            }
            JSONArray jsonArray = new JSONArray();
            for (CPDFBookmark bookmark : list) {
                JSONObject item = new JSONObject();
                item.put("title", bookmark.getTitle());
                item.put("pageIndex", bookmark.getPageIndex());
                item.put("date", bookmark.getDate());
                jsonArray.put(item);
            }
            return jsonArray.toString();
        } catch (Exception e) {
            return "";
        }
    }

}
