package com.compdfkit.flutter.compdfkit_flutter.plugin;

import androidx.annotation.NonNull;

import com.compdfkit.core.document.CPDFDocument;
import com.compdfkit.flutter.compdfkit_flutter.common.pdfprovider.provider.CPDFDataProvider;
import com.compdfkit.flutter.compdfkit_flutter.common.pdfprovider.provider.CPDFDocumentDataProvider;
import com.compdfkit.ui.reader.CPDFReaderView;

import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;

public class CPDFDocumentPlugin extends BaseMethodChannelPlugin {


    private CPDFReaderView readerView;

    private CPDFDataProvider provider;

    public CPDFDocumentPlugin(BinaryMessenger binaryMessenger, int viewId, CPDFReaderView readerView) {
        super(binaryMessenger,"com.compdfkit.flutter.pdfviewer.document." + viewId);
        this.readerView = readerView;
        provider = new CPDFDocumentDataProvider(readerView);
    }

    public CPDFDocumentPlugin(BinaryMessenger binaryMessenger){
        super(binaryMessenger,"com.compdfkit.flutter.pdfviewer.document.1000");
    }

    @Override
    public void onMethodCall(@NonNull MethodCall call, @NonNull MethodChannel.Result result) {
        if (readerView != null) {
            provider.updateConfig(call.method, call.arguments);
            provider.resultConfig(call, result);
        } else {
            result.notImplemented();
        }
    }
}
