/**
 * Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
 * <p>
 * THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
 * AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
 * UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
 * This notice may not be removed from this file.
 */

package com.compdfkit.flutter.compdfkit_flutter.plugin;


import androidx.annotation.NonNull;

import com.compdfkit.flutter.compdfkit_flutter.common.pdfprovider.provider.CPDFViewCtrlDataProvider;
import com.compdfkit.flutter.compdfkit_flutter.common.views.cpdfviewctrl.CPDFViewCtrl;

import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;

public class CPDFViewCtrlPlugin extends BaseMethodChannelPlugin {


    private CPDFViewCtrlDataProvider provider;

    public CPDFViewCtrlPlugin(BinaryMessenger binaryMessenger, int viewId, CPDFViewCtrl pdfView) {
        super(binaryMessenger, "com.compdfkit.flutter.pdfviewer.settings." + viewId);
        this.provider = new CPDFViewCtrlDataProvider(pdfView);
    }

    @Override
    public void onMethodCall(@NonNull MethodCall call, @NonNull MethodChannel.Result result) {
        provider.updateConfig(call.method, call.arguments);
        provider.resultConfig(call, result);
    }
}
