///
///  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
///
///  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
///  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
///  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
///  This notice may not be removed from this file.

class CPDFPermissionsInfo {
  bool allowsPrinting;
  bool allowsHighQualityPrinting;
  bool allowsCopying;
  bool allowsDocumentChanges;
  bool allowsDocumentAssembly;
  bool allowsCommenting;
  bool allowsFormFieldEntry;

  CPDFPermissionsInfo(
      this.allowsPrinting,
      this.allowsHighQualityPrinting,
      this.allowsCopying,
      this.allowsDocumentChanges,
      this.allowsDocumentAssembly,
      this.allowsCommenting,
      this.allowsFormFieldEntry);

  CPDFPermissionsInfo.formJson(Map<String, dynamic> json)
      : allowsPrinting = json['allowsPrinting'],
        allowsHighQualityPrinting = json['allowsHighQualityPrinting'],
        allowsCopying = json['allowsCopying'],
        allowsDocumentChanges = json['allowsDocumentChanges'],
        allowsDocumentAssembly = json['allowsDocumentAssembly'],
        allowsCommenting = json['allowsCommenting'],
        allowsFormFieldEntry = json['allowsFormFieldEntry'];
}
