///
///  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
///
///  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
///  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
///  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
///  This notice may not be removed from this file.

class CPDFSearchData {
  String keyword = '';

  int pageIndex = 0;

  String text = '';

  int textRangeIndex = 0;

  int textStartIndex = 0;

  int textEndIndex = 0;

  bool isHead = false;

  CPDFSearchData(this.keyword, this.pageIndex, this.text, this.textRangeIndex,
      this.textStartIndex, this.textEndIndex);

  CPDFSearchData.head(this.isHead, this.pageIndex);

  CPDFSearchData.formJson(Map<String, dynamic> json)
      : keyword = json['keyword'],
        pageIndex = json['pageIndex'],
        text = json['text'],
        textRangeIndex = json['textRangeIndex'],
        textStartIndex = json['textStartIndex'],
        textEndIndex = json['textEndIndex'];
}
