///
///  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
///
///  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
///  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
///  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
///  This notice may not be removed from this file.

import 'package:compdfkit_flutter/widgets/common/radio/cpdf_radio_list_tile.dart';
import 'package:flutter/material.dart';

import 'cpdf_radio_group_data.dart';

class CPDFRadioListGroup extends StatefulWidget {
  final checkId;

  final List<CPDFRadioGroupData> list;

  final ValueChanged<int>? onChecked;

  final Color? iconColor;

  const CPDFRadioListGroup(
      {Key? key,
      this.checkId = -1,
      required this.list,
      this.iconColor,
      this.onChecked})
      : super(key: key);

  @override
  State<CPDFRadioListGroup> createState() => _CPDFRadioListGroupState();
}

class _CPDFRadioListGroupState extends State<CPDFRadioListGroup> {
  @override
  Widget build(BuildContext context) {
    return Column(
      children: widget.list.map((e) {
        return CPDFRadioListTile(
          iconColor: widget.iconColor,
          leadingImageIcon: e.leadingIcon,
          leadingPackage: 'compdfkit_flutter',
          titleText: e.title,
          checked: e.checkId == widget.checkId,
          onPressed: () {
            if (widget.onChecked != null) {
              widget.onChecked!(e.checkId);
            }
          },
        );
      }).toList(),
    );
  }
}
