///
///  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
///
///  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
///  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
///  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
///  This notice may not be removed from this file.


import 'package:flutter/material.dart';

class CPDFPopUpMenuItem extends StatelessWidget {
  final String icon;

  final String package;

  final String title;

  const CPDFPopUpMenuItem(
      {Key? key, required this.icon, this.package = '', required this.title})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Row(
      children: [
        Image.asset(
          icon,
          package: package,
          width: 24,
          height: 24,
          color: Theme.of(context).colorScheme.onPrimary,
        ),
        Padding(
            padding: const EdgeInsets.only(left: 16),
            child: Text(
              title,
              style: Theme.of(context).textTheme.bodyMedium,
            ))
      ],
    );
  }
}
