///
///  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
///
///  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
///  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
///  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
///  This notice may not be removed from this file.

import 'package:flutter/material.dart';

import '../../../theme/colors.dart';
import '../../../theme/themes.dart';

class CPDFScaffold extends StatelessWidget {
  final bool isDark;

  final PreferredSizeWidget? appBar;

  final Widget? body;

  const CPDFScaffold({Key? key, this.isDark = false, this.appBar, this.body})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Theme(
      data: isDark
          ? comPDFKitDarkTheme
          : comPDFKitLightTheme.copyWith(
              colorScheme: comPDFKitLightTheme.colorScheme
                  .copyWith(primary: CPDFColors.backgroundLight)),
      child: Scaffold(
        appBar: appBar,
        body: body,
      ),
    );
  }
}
