import 'package:flutter/material.dart';

///  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
///
///  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
///  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
///  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
///  This notice may not be removed from this file.

class CPDFToolbar extends AppBar {
  late final Widget? leadingIcon;

  CPDFToolbar(
      {super.key,
      super.title,
      super.actions,
      super.backgroundColor,
      this.leadingIcon,
      super.bottom})
      : super(
          leading: leadingIcon,
          elevation: 2,
          titleSpacing: title == null ? 15 : 0,
        );

  CPDFToolbar.normal(
      {super.key,
      required BuildContext context,
      VoidCallback? leadingOnPressed,
      required String titleText, super.bottom})
      : super(
            leading: IconButton(
              onPressed: leadingOnPressed,
              icon: Icon(Icons.arrow_back,
                  color: Theme.of(context).colorScheme.onBackground),
            ),
            title: Text(
              titleText,
              style: const TextStyle(
                  fontFamily: 'sans-serif-medium', fontSize: 22),
            ),elevation: 2);
}
