///
///  Copyright © 2014-2023 PDF Technologies, Inc. All Rights Reserved.
///
///  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
///  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
///  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
///  This notice may not be removed from this file.
import 'package:compdfkit_flutter/common/util/Strings.dart';
import 'package:compdfkit_flutter/core/cpdf_view_ctrl.dart';
import 'package:compdfkit_flutter/widgets/common/views/cpdf_scaffold.dart';
import 'package:compdfkit_flutter/widgets/common/views/cpdf_tool_bar.dart';
import 'package:compdfkit_flutter/widgets/viewer/pdfdisplaysettings/cpdf_display_mode_widget.dart';
import 'package:compdfkit_flutter/widgets/viewer/pdfdisplaysettings/cpdf_page_mode_widget.dart';
import 'package:compdfkit_flutter/widgets/viewer/pdfdisplaysettings/cpdf_page_setting_widget.dart';
import 'package:compdfkit_flutter/widgets/viewer/pdfdisplaysettings/cpdf_themes_widget.dart';
import 'package:flutter/material.dart';

class CPDFDisplaySettingsPage extends StatefulWidget {
  final bool isDark;

  final CPDFViewCtrl ctrl;

  const CPDFDisplaySettingsPage(
      {Key? key, this.isDark = false, required this.ctrl})
      : super(key: key);

  @override
  State<CPDFDisplaySettingsPage> createState() =>
      _CPDFDisplaySettingsPageState();
}

class _CPDFDisplaySettingsPageState extends State<CPDFDisplaySettingsPage> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return CPDFScaffold(
      isDark: widget.isDark,
      appBar: CPDFToolbar.normal(
        context: context,
        titleText: Strings.ViewSetting,
        leadingOnPressed: () {
          Navigator.pop(context);
        },
      ),
      body: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          CPDFDisplayModeWidget(ctrl: widget.ctrl),
          CPDFPageModeWidget(ctrl: widget.ctrl),
          CPDFPageSettingWidget(ctrl: widget.ctrl),
          CPDFThemesWidget(ctrl: widget.ctrl)
        ],
      ),
    );
  }
}
